Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.impl.digester.elements
Class ManagedBean

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.ManagedBean

All Implemented Interfaces:
  ManagedBean

public class ManagedBean
extends java.lang.Object
implements ManagedBean

Author:
  Oliver Rossmueller

Field Summary

Fields inherited from interface org.apache.myfaces.config.element.ManagedBean
`INIT_MODE_LIST, INIT_MODE_MAP, INIT_MODE_NO_INIT, INIT_MODE_PROPERTIES`

Constructor Summary
`ManagedBean()`

Method Summary
`void` | `addProperty(ManagedProperty value)`
`int` | `getInitMode()`
`ListEntries` | `getListEntries()`
`java.lang.Class` | `getManagedBeanClass()`
`java.lang.String` | `getManagedBeanClassName()`
`java.lang.String` | `getManagedBeanName()`
`java.lang.String` | `getManagedBeanScope()`
`java.util.Iterator` | `getManagedProperties()`
`MapEntries` | `getMapEntries()`
`void` | `setBeanClass(java.lang.String beanClass)`
`void` | `setListEntries(ListEntries listEntries)`
`void` | `setMapEntries(MapEntries mapEntries)`
`void` | `setName(java.lang.String name)`
`void` | `setScope(java.lang.String scope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedBean

    public ManagedBean()

Method Detail

### getInitMode

    public int getInitMode()

  Specified by:
    `getInitMode` in interface `ManagedBean`

### getMapEntries

    public MapEntries getMapEntries()

  Specified by:
    `getMapEntries` in interface `ManagedBean`

### setMapEntries

    public void setMapEntries(MapEntries mapEntries)

### getListEntries

    public ListEntries getListEntries()

  Specified by:
    `getListEntries` in interface `ManagedBean`

### setListEntries

    public void setListEntries(ListEntries listEntries)

### getManagedBeanName

    public java.lang.String getManagedBeanName()

  Specified by:
    `getManagedBeanName` in interface `ManagedBean`

### setName

    public void setName(java.lang.String name)

### getManagedBeanClassName

    public java.lang.String getManagedBeanClassName()

  Specified by:
    `getManagedBeanClassName` in interface `ManagedBean`

### getManagedBeanClass

    public java.lang.Class getManagedBeanClass()

  Specified by:
    `getManagedBeanClass` in interface `ManagedBean`

### setBeanClass

    public void setBeanClass(java.lang.String beanClass)

### getManagedBeanScope

    public java.lang.String getManagedBeanScope()

  Specified by:
    `getManagedBeanScope` in interface `ManagedBean`

### setScope

    public void setScope(java.lang.String scope)

### addProperty

    public void addProperty(ManagedProperty value)

### getManagedProperties

    public java.util.Iterator getManagedProperties()

  Specified by:
    `getManagedProperties` in interface `ManagedBean`
  Returns:
    Iterator over `ManagedProperty` entries

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD